[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Yumex errors after running Fedora updates



Hi all,

I just installed the latest fedora updates and now Yumex no longer works. I am getting the following errors when trying to open Yumex.

Error Type: <class 'yum.update_md.UpdateNoticeException'>
Error Value: No id element found
 File : /usr/share/yumex/yumex.py , line 737, in <module>
   mainApp = YumexApplication()
 File : /usr/share/yumex/yumex.py , line 446, in __init__
   self.setupYum()
 File : /usr/share/yumex/yumex.py , line 467, in setupYum
   self.yumbase._setupBase()
 File : /usr/share/yumex/yumapi.py , line 80, in _setupBase
   self._setupUpdateMetadata()
 File : /usr/share/yumex/yumapi.py , line 137, in _setupUpdateMetadata
   self.updateMetadata.add(repo)
File : /usr/lib/python2.5/site-packages/yum/update_md.py , line 319, in add
   un = UpdateNotice(elem)
File : /usr/lib/python2.5/site-packages/yum/update_md.py , line 69, in __init__
   self._parse(elem)
File : /usr/lib/python2.5/site-packages/yum/update_md.py , line 146, in _parse
   raise UpdateNoticeException("No id element found")

I am using Python 2.6 and have tried to update Yumex but I get prompted that I need Pyhthon abi 2.4 or greater to install. I am running Python abi 2.6 so that should not be the problem (unless Yumex is not compatible with Python 2.6). Anyone know an answer to this problem?

Thanks,
Alex


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]